<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Note list</title>
    <style>
       body {
            background-color: #db0a5b;
            margin: 0;
            align-items: center;
            justify-content: center;
        }

        .header {
          background-color: black;
          color: white;
          display: flex;
          flex-direction: column;
          align-items: center;
          padding: 2%;
          
        }

        .container {
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 0px 10px;
        }

        .card {
            background-color: black;
            border-radius: 20px;
            padding: 20px;
            align-items: flex-end;
            box-shadow: 0 20px 20px rgb(0 0 0 / 19%), 0 10px 6px rgb(0 0 0 / 23%);
            margin: 50px;
            font-family: sans-serif;
            color: white;
        }
        
        .card:hover {
          box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
        }

        
        </style>
        </head>
        <body>
        {% include 'top_navigation.html' %}
        <div class="header">
            <h1 style="font-family: sans-serif;">NOTE LIST</h1>
  
          </div>
        
        <div class="container">
            <div class="card-container">
                {%for note in notes%}
                <div class="card">
                    <h3>{{ note.title }}</h3>
                    <p><b>From : </b>{{ note.sender }}</p>
                    <p><b>To : </b>{{ note.to }}</p>
                    <p> {{ note.message }} </p>
                </div>
                {%endfor%}
            </div>
        </div>
</body>
</html>